Bug 103074 - FIREBIRD: Yes/No[BOOLEAN] type field is not available on edit table, but it is a new type on FB 3
Summary: FIREBIRD: Yes/No[BOOLEAN] type field is not available on edit table, but it i...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamas Bunth
URL:
Whiteboard: target:5.4.0 backportRequest:5.3
Keywords:
Depends on:
Blocks: Database-Firebird
  Show dependency treegraph
 
Reported: 2016-10-09 22:13 UTC by m.a.riosv
Modified: 2016-12-29 07:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2016-10-09 22:13:00 UTC
Description:
I'm beginning to translate base samples on documentation to have also them with Firebird as embedded database.
https://wiki.documentfoundation.org/images/5/52/Sample-databases.zip

Dragging the 'filter' table from Example_Autotext_Searchmark_Spelling._FBodb.odb
to a new base file with FB, I found the error.
The ID field is Yes/No[BOOLEAN] type field, that's not available with embedded FB.

http://www.firebirdsql.org/file/documentation/release_notes/html/en/3_0/rnfb30-ddl-enhance.html#rnfb30-ddl-boolean



Actual Results:  
Yes/No[BOOLEAN] type field, it's not available with embedded FB.

Expected Results:
Have Yes/No[BOOLEAN] type field available with embedded FB.


Reproducible: Always

User Profile Reset: 

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Alex Thurgood 2016-10-20 13:01:33 UTC
Confirming on my Linux Mint 18 master build.

Boolean (Yes/No) does not appear in the list of possible field types in table edit mode.
Comment 2 Commit Notification 2016-12-11 10:45:13 UTC
Wastack committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d0f3649ba271a439ab38d35ce02462561cc9caa

tdf#103074 Implement Boolean Type for FB driver

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Volga 2016-12-27 13:18:07 UTC
Is it possible to backport to 5.3.0?
Comment 4 Lionel Elie Mamane 2016-12-28 07:30:35 UTC
(In reply to Volga from comment #3)
> Is it possible to backport to 5.3.0?

Given that 5.3.0 is already in RC stage, I feel it is a bit late.

For 5.3.1, not sure we should start to introduce such functional changes rather than pure bugfixes. I won't approve it, but I won't veto it either.
Comment 5 m.a.riosv 2016-12-28 22:10:00 UTC
Hi Lionel, by now it is under experimental features on 5.3, and if I'm not wrong will follow in that situation, so maybe it's a good oportunity to introduce this kind of funcionalities, while there could be more people testing without the risk to break their work.
Comment 6 Lionel Elie Mamane 2016-12-29 07:45:35 UTC
(In reply to m.a.riosv from comment #5)
> Hi Lionel, by now it is under experimental features on 5.3,

That's a fair point, yes.